JUCE: DrumPadGridProgram Struct Reference

JUCE

Classes | Public Types | Public Member Functions | List of all members
DrumPadGridProgram Struct Reference
Inheritance diagram for DrumPadGridProgram:

## Classes
struct | GridFill
| Set how each pad in the grid looks. More...

## Public Types
enum | SlideDirection : uint8 { up = 0, down = 1, left = 2, right = 3, none = 255 }
| Set up a new pad layout, with a slide animation from the old to the new. More...

## Public Member Functions
| DrumPadGridProgram (Block &)
void | startTouch (float startX, float startY)
| These let the program dim pads which aren't having gestures performed on them. More...
void | endTouch (float startX, float startY)
void | sendTouch (float x, float y, float z, LEDColour)
| Creates trail effects similar to the onscreen pad trails. More...
void | setPadAnimationState (uint32 padIdx, double loopTimeSecs, double currentProgress)
| Call this to match animations to the project tempo. More...
void | suspendAnimations ()
| If the app needs to close down or suspend, use these to pause & dim animations. More...
void | resumeAnimations ()
void | setGridFills (int numColumns, int numRows, const Array< GridFill > &)
void | triggerSlideTransition (int newNumColumns, int newNumRows, const Array< GridFill > &newFills, SlideDirection)
Public Member Functions inherited from Block::Program
| Program (Block &)
| Creates a Program for the corresponding LEDGrid. More...
virtual | ~Program ()
| Destructor. More...
virtual juce::Array< File > | getSearchPaths ()
| Returns an array of search paths to use when resolving includes. More...

## Additional Inherited Members
Public Attributes inherited from Block::Program
Block & | block

## Member Enumeration Documentation

## ◆ SlideDirection

enum DrumPadGridProgram::SlideDirection : uint8

Set up a new pad layout, with a slide animation from the old to the new.

Enumerator
up |
down |
left |
right |
none |

## Constructor & Destructor Documentation

## ◆ DrumPadGridProgram()

DrumPadGridProgram::DrumPadGridProgram | ( | Block & |  | ) |

## Member Function Documentation

## ◆ startTouch()

void DrumPadGridProgram::startTouch | ( | float | startX,
|  | float | startY
| ) |  |

These let the program dim pads which aren't having gestures performed on them.

## ◆ endTouch()

void DrumPadGridProgram::endTouch | ( | float | startX,
|  | float | startY
| ) |  |

## ◆ sendTouch()

void DrumPadGridProgram::sendTouch | ( | float | x,
|  | float | y,
|  | float | z,
|  | LEDColour |
| ) |  |

Creates trail effects similar to the onscreen pad trails.

## ◆ setPadAnimationState()

void DrumPadGridProgram::setPadAnimationState | ( | uint32 | padIdx,
|  | double | loopTimeSecs,
|  | double | currentProgress
| ) |  |

Call this to match animations to the project tempo.

Parameters

  padIdx | The pad to update. 16 animated pads are supported, so 0 - 15.
  loopTimeSecs | The length of time for the pad's animation to loop in seconds. 0 will stop the animation.
  currentProgress | The starting progress of the animation. 0.0 - 1.0.

## ◆ suspendAnimations()

void DrumPadGridProgram::suspendAnimations | ( |  | ) |

If the app needs to close down or suspend, use these to pause & dim animations.

## ◆ resumeAnimations()

void DrumPadGridProgram::resumeAnimations | ( |  | ) |

## ◆ setGridFills()

void DrumPadGridProgram::setGridFills | ( | int | numColumns,
|  | int | numRows,
|  | const Array< GridFill > & |
| ) |  |

## ◆ triggerSlideTransition()

void DrumPadGridProgram::triggerSlideTransition | ( | int | newNumColumns,
|  | int | newNumRows,
|  | const Array< GridFill > & | newFills,
|  | SlideDirection |
| ) |  |

The documentation for this struct was generated from the following file:

- juce_DrumPadLEDProgram.h